from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XOfficeInstallationDirectories(XInterface, Protocol):
    def getOfficeInstallationDirectoryURL(self) -> str: ...
    def getOfficeUserDataDirectoryURL(self) -> str: ...
    def makeRelocatableURL(self, URL: str) -> str: ...
    def makeAbsoluteURL(self, URL: str) -> str: ...
